Upgrading Zend Server for IBM i, message CPF3908, PTF affects same object

Follow

Issue

When trying to load a PTF upgrade for Zend Server, a message similar to the following may be seen:

Message ID . . . . . . : CPF3908 Severity . . . . . . . : 30
Message type . . . . . : Diagnostic
 Date sent . . . . . . : 09/16/14 Time sent . . . . . . : 16:34:36

Message . . . . : PTF 6ZSVRPI-6ZS0011 not loaded.
 Cause . . . . . : Object CLITOOLS is part of another PTF. Program temporary
fix (PTF) 6ZSVRPI-6ZS0011 affects the same object as PTF 6ZSVRPI-6ZS0008. PTF 6ZSVRPI-6ZS0011 should supersede PTF 6ZSVRPI-6ZS0008. Recovery . . . : Permanently remove or permanently apply PTF 6ZSVRPI-6ZS0008, and then load PTF 6ZSVRPI-6ZS0011 again.

Environment

Zend Server for IBM i version 6 or 7, running on any supported version of IBM i.

Resolution

When Zend Server upgrades apply a PTF, they are always applied with the APY(*TEMP) option to allow them to be rolled back if needed. The IBM PTF process does not allow objects that were updated by a *TEMP PTF to be updated by any new PTF, because then the *TEMP PTF would no longer be eligible for roll back. This is why you see the CPF3908 message.

You can permanently apply all previous Zend Server PTFs with this command (run this with *SECOFR special authority):

APYPTF LICPGM(6ZSVRPI) APY(*PERM) 

After the command completes, you will be able to apply the latest update without encountering the CPF3908 message.

Have more questions? Submit a request

Comments

  • Avatar
    Alan Seiden

    Thank you, Rod. This tip worked perfectly. Alan

Powered by Zendesk